// Copyright (c) 2015, The Shelf Route project authors.
// Please see the AUTHORS file for details.
// All rights reserved. Use of this source code is governed by
// a BSD 2-Clause License that can be found in the LICENSE file.

library shelf_route.router.standard.impl;

import 'package:shelf/shelf.dart';
import 'default_route.dart';
import 'route_impl.dart';
import 'package:option/option.dart';
import 'default_segment_router.dart';

class DefaultRouterImpl
    extends RequestRouterImpl<DefaultSegmentRouter, DefaultRoute>
    implements DefaultRouter {
  DefaultRouterImpl(String name, DefaultSegmentRouter segmentRouter,
      Iterable<DefaultRoute> routes, Option<Middleware> middleware)
      : super(name, segmentRouter, routes, middleware);
}

class DefaultSimpleRouteImpl extends SimpleRouteImpl<DefaultSegmentRouter>
    implements DefaultSimpleRoute {
  DefaultSimpleRouteImpl(
      String name, DefaultSegmentRouter segmentRouter, Handler handler)
      : super(name, segmentRouter, handler);
}
